*** Settings ***
Library    SeleniumLibrary
Library    String
*** Keywords ***

Démarrer Test
    [Documentation]     Keyword permettant de débuter chaque test (ouverture du navigateur, maximiser la fenetre etc...)
    [Arguments]    ${navigateur}=chrome
    Set Selenium Implicit Wait   5
    Open Browser    https://practice.expandtesting.com/notes/app/    ${navigateur}
    Maximize Browser Window
    Log    Navigateur utilisé: ${navigateur}


Create Random Email
  ${date}  Get Time  year month day
  ${srinked_date}  Set Variable  ${date[2]}${date[1]}${date[0]}
  ${usr_prefix}=  Generate Random String  3  [LOWER]
  ${random_user}=  Catenate  SEPARATOR=  ${usr_prefix}  robot  ${srinked_date}  @autotest.com
  [Return]  ${random_user}


Terminer Test
    Close Browser
