*** Settings ***
Library    String   
Resource     ../Resources/Common.robot
Resource     ../Resources/Page Object/PageAccueil.resource
Resource     ../Resources/Page Object/PageLogin.resource
Resource     ../Resources/Page Object/PageCreateAccount.resource

Test Setup    Common.Démarrer Test            
Test Teardown    Common.Terminer Test
Documentation    Ex12:L'utilisateur peut créer un compte avec email et password. Les champs à renseigner pour créer le compte: Email address, PAssword, Name, Confirm Password



*** Variables ***

@{VALEURS_FORMULAIRES_TOUT_OK}=    ""    1234567    jean hartin    1234567

*** Test Cases ***
Ex12-CT01
    ${RANDOM_EMAIL}=    Create Random Email
    ${VALEURS_FORMULAIRES_TOUT_OK}[0]=  Set Variable     ${RANDOM_EMAIL} 
    PageCreateAccount.Créer un compte utilisateur avec email    @{VALEURS_FORMULAIRES_TOUT_OK}


*** Keywords ***
# Créer un compte utilisateur avec email
#     [Arguments]    @{valeurs_formulaire}
#     PageAccueil.Valider l'affichage de la page "Accueil" - non connecté
#     PageAccueil.Cliquer sur "Create an account"
#     PageCreateAccount.Verifier l'affichage de la page "Create Account"
#     PageCreateAccount.Remplir le formulaire    @{valeurs_formulaire}
#     PageCreateAccount.Soumettre le formulaire
#     PageCreateAccount.Verifier la creation du compte

# Create Random Email
#   ${date}  Get Time  year month day
#   ${srinked_date}  Set Variable  ${date[2]}${date[1]}${date[0]}
#   ${usr_prefix}=  Generate Random String  3  [LOWER]
#   ${random_user}=  Catenate  SEPARATOR=  ${usr_prefix}  robot  ${srinked_date}  @autotest.com
#   [Return]  ${random_user}
