*** Settings ***
Library    String

Resource     ../Resources/Common.robot
Resource     ../Resources/Page Object/PageAccueil.resource
Resource     ../Resources/Page Object/PageLogin.resource
Resource     ../Resources/Page Object/PageCreateAccount.resource
Test Setup    Common.Démarrer Test            
Test Teardown    Common.Terminer Test
Documentation    Ex2: Lors de l'authentification via email, si le champ mot de passe est vide, un message d'erreur est affiché sur le champ



*** Test Cases ***

Ex2 
    [Tags]    CT01

    PageAccueil.Valider l'affichage de la page "Accueil" - non connecté
    PageAccueil.Cliquer sur "Login"
    ${Random_Email}=    Common.Create Random Email
    #on crée un email aleatoire juste pour remplir le champ
    @{Login_data}=    Create List     ${Random_Email}    ${EMPTY}

    PageLogin.Vérifier l'affichage de la page "Login"
    PageLogin.Remplir le formulaire de login    @{Login_data}
    
    #on remplit le formulaire avec un email valide et on laise le champ password vide
    PageLogin.Soumettre le formulaire de Login
    PageLogin.Vérifier Login KO - champ pwd vide
    
    